Setup ecowitt2mqtt for weather station to mqtt

27/11/2023 14:55 - Philippe May

Status: Resolved Start date: 27/11/2023

Priority: Normal Due date:  

Assignee: Philippe May % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 1.50 hour

Description

Try to collect WS data without the need for cloud service, using the existing mqtt service running on the server.

Ref: https://github.com/bachya/ecowitt2mqtt

Related issues:

Related to GIS - Support #15265: Setup weather station in CSR Resolved 15/11/2023

History

#1 - 27/11/2023 14:55 - Philippe May

- Related to Support #15265: Setup weather station in CSR added

#2 - 27/11/2023 14:56 - Philippe May

- Description updated

#3 - 27/11/2023 15:34 - Philippe May

Using the gisaf venv (gisaf home dir):

pdm run python -m pip install ecowitt2mqtt

 

Needed to update `uvloop`:

pdm update uvloop

 

The config file is: `/etc/gisaf/ecowitt2mqtt.yaml`

#4 - 28/11/2023 12:56 - Philippe May

- Status changed from New to Resolved

Configured the WS console to send data to ecowitt2mqtt, on port 8998, endpoint /data/ws2
Configured the ecowitt2mqtt server to send to MQTT topic ecowitt2mqtt_local

Success: ex. data:

ecowitt2mqtt_local {"tempin": 27.72, "humidityin": 85.0, "baromrel": 1011.14, "baromabs": 1003.93, "temp": 26.

61, "battout": 1.0, "humidity": 99.0, "winddir": 332.0, "windspeed": 4.99, "windgust": 7.24, "maxdailygust": 1

4.81, "hourlyrain": 15.01, "eventrain": 3.3, "dailyrain": 8.61, "weeklyrain": 14.71, "monthlyrain": 107.7, "to

talrain": 107.7, "solarradiation": 107.04, "uv": 1.0, "batt_co2": 1.0, "beaufortscale": 1, "dewpoint": 26.44, 

"feelslike": 26.61, "frostpoint": 22.73, "frostrisk": "No risk", "heatindex": 30.38, "humidex": 41, "humidex_p

erception": "Great discomfort", "humidityabs": 24.95, "humidityabsin": 24.95, "relative_strain_index": 0.24, "

relative_strain_index_perception": "Slight discomfort", "safe_exposure_time_skin_type_1": 166.7, "safe_exposur

e_time_skin_type_2": 200.0, "safe_exposure_time_skin_type_3": 266.7, "safe_exposure_time_skin_type_4": 333.3, 

"safe_exposure_time_skin_type_5": 533.3, "safe_exposure_time_skin_type_6": 866.7, "simmerindex": 38.41, "simme

rzone": "Caution: Heat exhaustion", "solarradiation_perceived": 82.64, "thermalperception": "Severely high", "

windchill": null}

Setup ecowitt2mqtt systemd service
